Subject: [alto] I-Draft discussion - Supporting Bottleneck Structure Graphs in ALTO: Use Cases and Requirements

From: Jordi Ros Giralt <[email-masked]>
Date: Thu, 24 Mar 2022 20:36:57 +0000

Hello all,

During the ALTO session, the chair asked that we bring to the mailing list the discussion about the new draft "Supporting Bottleneck Structure Graphs in ALTO: Use Cases and Requirements"

https://datatracker.ietf.org/doc/draft-giraltyellamraju-alto-bsg-requirements/

I will start by following up on the questions raised during the session via the Jabber chat, but feel free to raise any other questions during this conversation:
[QW]
Can alto provide sufficient information to build bottleneck structure graph? is there data translation needed? in the scope of your draft or not?

[RY]
There are two interpretations to this question: (1) build bottleneck structure on top of alto and (2) make bottleneck structure a (new) service provided by alto. For (1), we need some modifications; I think the focus here is (2). Jordi?
[JRG] Right, I think the focus is (2). To construct the bottleneck structure, we need information about the set of links traversed by the flows and the link capacity. Flow information can be obtained from protocols such as NetFlow or sFlow (this approach is similar to how other deployments discussed in ALTO collect flow info, such as the Flow Director<https://people.csail.mit.edu/gsmaragd/publications/CoNEXT2019/CoNEXT2019.pdf>). Link capacity information can be obtained from protocols such as SNMP, the SDN controller or topology files. In two deployments in the US we use NetFlow, sFlow and topology files. Information could also be pulled from other sources. For instance, today we discussed with Luis that if PCE is used, we could get path information from the traffic engineering database (TED). Perhaps Luis also wants to add to this discussion.

Thanks,
Jordi